Package com.logicaldoc.core.system

# Interface SystemLoadListener

public interface SystemLoadListener
Concrete implementations have to react to changes in the system load.

Since:
  6.7.1
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`onOverload(int avgSysCpuLoad, int avgJvmCpuLoad)`
Invoked when the average whole system's CPU usage is higher than the threshold specified in the global parameter'system.cpuload.max'
`void`
`onUnderload(int avgSysCpuLoad, int avgJvmCpuLoad)`
Invoked when the average whole system's CPU usage is higher than the threshold specified in the global parameter'system.cpuload.max'

## Method Details

### onOverload

void onOverload(int avgSysCpuLoad, int avgJvmCpuLoad)
Invoked when the average whole system's CPU usage is higher than the threshold specified in the global parameter'system.cpuload.max'

Parameters:
  `avgSysCpuLoad` - The average system CPU usage
  `avgJvmCpuLoad` - The average JVM CPU usage

### onUnderload

void onUnderload(int avgSysCpuLoad, int avgJvmCpuLoad)
Invoked when the average whole system's CPU usage is higher than the threshold specified in the global parameter'system.cpuload.max'

Parameters:
  `avgSysCpuLoad` - The average system CPU usage
  `avgJvmCpuLoad` - The average JVM CPU usage